import 'dart:io';

import 'package:flutter/material.dart';
import 'package:login_fresh/src/config/language.dart';

class LoginFresh extends StatefulWidget {
  final Color backgroundColor;
  final Color cardColor;
  final Color textColor;

  final String pathLogo;


  KeyWord keyWord;

  LoginFresh({
    @required this.pathLogo,
    this.backgroundColor,
    this.cardColor,
    this.textColor,
    this.keyWord
  });

  @override
  _LoginFreshState createState() => _LoginFreshState();
}

class _LoginFreshState extends State<LoginFresh> {



  @override
  Widget build(BuildContext context) {

    widget.keyWord = widget.keyWord??KeyWord();


    return Stack(
      children: [
        Container(
          color: widget.backgroundColor ?? Color(0xFFE7004C),
          child: Align(
            alignment: Alignment.topCenter,
            child: Container(
              height: MediaQuery.of(context).size.height * 0.45,
              width: MediaQuery.of(context).size.width * 0.60,
              child: Center(
                child: Image.asset(
                  widget.pathLogo,
                  fit: BoxFit.contain,
                ),
              ),
            ),
          ),
        ),
        Align(
            alignment: Alignment.bottomCenter,
            child: Container(
              height: MediaQuery.of(context).size.height * 0.55,
              width: MediaQuery.of(context).size.width,
              decoration: new BoxDecoration(
                  color: widget.cardColor ?? Color(0xFFF3F3F5),
                  borderRadius: new BorderRadius.only(
                    topLeft: const Radius.circular(50.0),
                    topRight: const Radius.circular(50.0),
                  )
              ),

              child: Column(

                mainAxisAlignment: MainAxisAlignment.center,
                crossAxisAlignment: CrossAxisAlignment.center,
                mainAxisSize: MainAxisSize.min,

                children: [
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Text(
                      widget.keyWord.loginWith,
                        style: TextStyle(
                            color: widget.textColor??Color(0xFF0F2E48),
                            fontSize: 16,
                            fontWeight: FontWeight.bold)
                    ),
                  ),

                  SizedBox(
                    height: MediaQuery.of(context).size.height * 0.1,
                    width: (Platform.isAndroid)
                        ? MediaQuery.of(context).size.width * 0.7
                        : MediaQuery.of(context).size.width * 0.9,
                    child: Card(
                      elevation: 10,
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(40),
                      ),
                      color: Colors.white,
                      child: Padding(
                        padding: const EdgeInsets.symmetric(horizontal: 10),
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            GestureDetector(
                              child: Padding(
                                padding: const EdgeInsets.all(8.0),
                                child: Image(
                                  image: ExactAssetImage(
                                    'assets/images/apple_social_network.png',
                                  ),

                                ),
                              ),
                              onTap: (){},
                            ),
                            (Platform.isAndroid)
                                ? SizedBox()
                                : GestureDetector(
                              child: Padding(
                                padding: const EdgeInsets.all(8.0),
                                child: Image.asset(
                                  'assets/images/apple_social_network.png',
                                ),
                              ),
                              onTap: (){},
                            ),
                            GestureDetector(
                              child: Padding(
                                padding: const EdgeInsets.all(8.0),
                                child: Image.asset(
                                  'assets/images/google_social_network.png',
                                ),
                              ),
                              onTap: (){},
                            ),
                            GestureDetector(
                              child: Padding(
                                padding: const EdgeInsets.all(8.0),
                                child: Image.asset(
                                  'assets/images/logo.png',
                                ),
                              ),
                              onTap: (){},
                            )
                          ],
                        ),
                      ),
                    ),
                  )

                ],
              ),

            )
        )
      ],
    );
  }
}
